org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface WorkspaceBridge.JsLabelProvider

Enclosing interface:
  WorkspaceBridge

    public static interface WorkspaceBridge.JsLabelProvider

Label provider for several debug elements. This object should be stateless.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getStackFrameLabel(StackFrame stackFrame)` Label for stack frame to be shown in the Debug view.
`java.lang.String` `getTargetLabel(DebugTargetImpl debugTarget)` Label for the debug target to be shown in the Debug view.
`java.lang.String` `getThreadLabel(JavascriptThread thread)` Label for JavaScript thread to be shown in the Debug view.

### Method Detail

#### getTargetLabel

    java.lang.String getTargetLabel(DebugTargetImpl debugTarget)
                             throws DebugException

Label for the debug target to be shown in the Debug view.

Throws:
  `DebugException`

#### getThreadLabel

    java.lang.String getThreadLabel(JavascriptThread thread)
                             throws DebugException

Label for JavaScript thread to be shown in the Debug view.

Throws:
  `DebugException`

#### getStackFrameLabel

    java.lang.String getStackFrameLabel(StackFrame stackFrame)
                                 throws DebugException

Label for stack frame to be shown in the Debug view.

Throws:
  `DebugException`